<div class="page-wrapper">
    <div class="page page-settings _normal-container">
        <zeb-page-header
            no-breadcrumbs="true"
            page-title="$ctrl.currentTitle">
        </zeb-page-header>
        <div class="section-company">
            <div class="section__header">
                <div layout="row" flex="auto">
                    <div class="company-image__container">
                        <span class="company-image__label">Company Logo</span>
                        <div class="profile-img">
                            <profile-photo id="brandPhoto"
                                ng-model="$ctrl.companyLogoUrl"
                                squared="8"
                                size="40"
                                auto-resize="false"
                                icon-visible="false">
                                <span ng-if="!$ctrl.companyLogoUrl" class="profile-photo__icon-wrapper _squared">
                                    <md-icon class="material-icons icon">crop_original</md-icon>
                                </span>
                            </profile-photo>
                        </div>
                    </div>
                    <div class="section__wrapper">
                        <!-- <span class="company-name__label">Company Name</span> -->
                        <div class="company-name">
                            <div class="company-name__wrapper">
                                <div class="company-name__content"></div>
                            </div>
                        </div>
                        <div class="versions-info"
                            flex="none"
                            layout="column"
                            layout-align="start end"
                            ng-if="$ctrl.appVersions.ui || $ctrl.appVersions.service || $ctrl.appVersions.client">
                            <span class="md-caption no-margin" ng-if="$ctrl.appVersions.ui">ui: {{$ctrl.appVersions.ui}}</span>
                            <span class="md-caption no-margin" ng-if="$ctrl.appVersions.service">server: {{$ctrl.appVersions.service}}</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-controls">
            <div class="control__wrapper" ng-if="$ctrl.userHasAnyPermission(['iam:users:read', 'iam:groups:read', 'iam:invitations:read']) && $ctrl.userHasAnyPermission(['iam:users:update', 'iam:groups:update', 'iam:invitations:update'])">
                <div class="control__label">User management</div>
                <div class="button__container">
                    <md-button class="md-raised button__element no-hover-effect" ui-sref="users" ng-if="$ctrl.userHasAnyPermission(['iam:users:read'])">
                        <div class="button__content-wrapper">
                            <div class="button__text-wrapper">
                                <div class="button__title">Users</div>
                                <div class="button__title _subtitle">Manage system users</div>
                            </div>
                            <md-icon class="material-icons button__icon">keyboard_arrow_right</md-icon>
                        </div>
                    </md-button>
                    <md-button class="md-raised button__element no-hover-effect" ui-sref="userGroups" ng-if="$ctrl.userHasAnyPermission(['iam:groups:read']) && $ctrl.userHasAnyPermission(['iam:groups:update'])">
                        <div class="button__content-wrapper">
                            <div class="button__text-wrapper">
                                <div class="button__title">Groups and Permissions</div>
                                <div class="button__title _subtitle">Create and adjust permissions for user groups</div>
                            </div>
                            <md-icon class="material-icons button__icon">keyboard_arrow_right</md-icon>
                        </div>
                    </md-button>
                    <md-button class="md-raised button__element no-hover-effect" ui-sref="invitations" ng-if="$ctrl.userHasAnyPermission(['iam:invitations:update', 'iam:invitations:delete'])">
                        <div class="button__content-wrapper">
                            <div class="button__text-wrapper">
                                <div class="button__title">Invitations</div>
                                <div class="button__title _subtitle">Manage invitations to people outside the system</div>
                            </div>
                            <md-icon class="material-icons button__icon">keyboard_arrow_right</md-icon>
                        </div>
                    </md-button>
                </div>
            </div>
            <div class="control__wrapper"
                ng-if="$ctrl.userHasAnyPermission(['reporting:integrations:read'])">
                <p class="control__label">Integrations</p>
                <div class="button__container">
                    <md-button class="md-raised button__element no-hover-effect gtm-integration-button"
                        ui-sref="integrations.list"
                        ng-if="$ctrl.userHasAnyPermission(['reporting:integrations:read'])">
                        <div class="button__content-wrapper">
                            <div class="button__text-wrapper">
                                <div class="button__title">Integrations</div>
                                <div class="button__title _subtitle">Configure integrations</div>
                            </div>
                            <md-icon class="material-icons button__icon">keyboard_arrow_right</md-icon>
                        </div>
                    </md-button>
                </div>
            </div>
        </div>
    </div>
</div>
